# MPI_Comm_compare

## NAME

MPI_Comm_compare − Compares two communicators.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Comm_compare(MPI_Comm comm1, MPI_Comm comm2, int *result)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_COMM_COMPARE(COMM1, COMM2, RESULT, IERROR)

| INTEGER |  |  | COMM1, COMM2, RESULT, IERROR

## C++ Syntax

#include <mpi.h>
static int Comm::Compare(const Comm& comm1, const Comm& comm2)

## INPUT PARAMETERS

| comm1 |  | Comm1 (handle). |
| comm2 |  | Comm2 (handle). |

## OUTPUT PARAMETERS

| result |  | Result of comparison (integer). |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_IDENT results if and only if comm1 and comm2 are handles for the same object (identical groups and same contexts). MPI_CONGRUENT results if the underlying groups are identical in constituents and rank order; these communicators differ only by context. MPI_SIMILAR results of the group members of both communicators are the same but the rank order differs. MPI_UNEQUAL results otherwise.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index